#include "system-conf.dtsi"
#include "pl.dtsi"
#include <dt-bindings/media/xilinx-vip.h>


/ {
};


&sdhci1 {
	status = "okay";
	xlnx,has-cd = <0x1>;
	xlnx,has-power = <0x0>;
	xlnx,has-wp = <0x1>;
	disable-wp;
};

&gem3 {
	status = "okay";
};

&gpio {
	status = "okay";
	emio-gpio-width = <95>;
};



&v_frmbuf_wr_0 {
	#dma-cells = <1>;
	reset-gpios = <&gpio 88 1>;
	compatible = "xlnx,axi-frmbuf-wr-v2.1";
	xlnx,max-width = <8192>;
	xlnx,max-height = <4320>;
    	xlnx,dma-align = <16>;
	xlnx,pixels-per-clock = <2>;
	xlnx,vid-formats = "y8","bgr888","xbgr8888","rgb888","xrgb888","xvuy8888","vuy888","yuyv","uyvy","nv16","nv12","xbgr4121212";
	xlnx,video-width = <12>;
};


&v_demosaic_0 {
	compatible = "xlnx,v-demosaic";
	clocks = <&misc_clk_0>;
	reset-gpios = <&gpio 89 1>;
	xlnx,max-width = <8192>;
	xlnx,max-height = <4320>;
	ports {
		#address-cells = <1>;
		#size-cells = <0>;
		port@0 {
			reg = <0>;
			xlnx,video-width = <12>;
			demosaic_in: endpoint {
				remote-endpoint = <&csiss_out>;
			};
		};
		port@1 {
			reg = <1>;
			xlnx,video-width = <12>;
			demosaic_out: endpoint {
				remote-endpoint = <&vcap_in>;
			};
		};
	};

};


&amba_pl {
	vcap0: video_cap {
		compatible = "xlnx,video";
		dmas = <&v_frmbuf_wr_0 0>;
		dma-names = "port0";
		ports {
			#address-cells = <1>;
			#size-cells = <0>;
			port@0 {
				reg = <0>;
				direction = "input";
				vcap_in: endpoint {
					remote-endpoint = <&demosaic_out>;
				};
			};
		};
	};
};

&mipi_csi2_rx_subsyst_0 {
	reset-gpios = <&gpio 87 1>;
	xlnx,vc = <4>;
	ports {
		#address-cells = <1>;
		#size-cells = <0>;
		port@0 {
			reg = <0>;
			xlnx,video-format = <XVIP_VF_MONO_SENSOR>;
			xlnx,video-width = <12>;
			xlnx,cfa-pattern = "rggb";
			csiss_out:endpoint {
				remote-endpoint = <&demosaic_in>;
			};
		};
		port@1 {
			reg = <1>;
			xlnx,video-format = <XVIP_VF_MONO_SENSOR>;
			xlnx,video-width = <12>;
			xlnx,cfa-pattern = "rggb";
			csiss_in:endpoint {
				data-lanes = <1 2 3 4>;
				remote-endpoint = <&imx477_out>;
			};
		};
	};
};


&axi_iic_0 {

	imx477@10{
		compatible = "sony,imx477";
		
		reg = <0x10>;
		
		ports {		
			#address-cells = <1>;
			#size-cells = <0>;
		
			port@0 {
				reg = <0>;
				imx477_out: endpoint {
					bus-width = <4>;
					remote-endpoint = <&csiss_in>;
				};
			};
		};
	};

};
